Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Typedefs | Enumerations | Functions
paragraphs_internal.h File Reference
`#include "paragraphs.h"`
`#include "strings.h"`

Go to the source code of this file.

## Classes

struct | tesseract::LineHypothesis
class | tesseract::RowScratchRegisters
class | tesseract::ParagraphTheory
class | tesseract::ParagraphModelSmearer

## Namespaces

namespace | tesseract

## Typedefs

typedef GenericVectorEqEq < const ParagraphModel * > | tesseract::SetOfModels

## Enumerations

enum | tesseract::LineType { tesseract::LT_START = 'S', tesseract::LT_BODY = 'C', tesseract::LT_UNKNOWN = 'U', tesseract::LT_MULTIPLE = 'M' }

## Functions

bool | tesseract::AsciiLikelyListItem (const STRING &word)
int | tesseract::UnicodeFor (const UNICHARSET *u, const WERD_CHOICE *werd, int pos)
void | tesseract::RightWordAttributes (const UNICHARSET *unicharset, const WERD_CHOICE *werd, const STRING &utf8, bool *is_list, bool *starts_idea, bool *ends_idea)
void | tesseract::LeftWordAttributes (const UNICHARSET *unicharset, const WERD_CHOICE *werd, const STRING &utf8, bool *is_list, bool *starts_idea, bool *ends_idea)
bool | tesseract::StrongModel (const ParagraphModel *model)
bool | tesseract::ValidFirstLine (const GenericVector< RowScratchRegisters > *rows, int row, const ParagraphModel *model)
bool | tesseract::ValidBodyLine (const GenericVector< RowScratchRegisters > *rows, int row, const ParagraphModel *model)
bool | tesseract::CrownCompatible (const GenericVector< RowScratchRegisters > *rows, int a, int b, const ParagraphModel *model)
void | tesseract::RecomputeMarginsAndClearHypotheses (GenericVector< RowScratchRegisters > *rows, int start, int end, int percentile)
int | tesseract::InterwordSpace (const GenericVector< RowScratchRegisters > &rows, int row_start, int row_end)
bool | tesseract::FirstWordWouldHaveFit (const RowScratchRegisters &before, const RowScratchRegisters &after, tesseract::ParagraphJustification justification)
bool | tesseract::FirstWordWouldHaveFit (const RowScratchRegisters &before, const RowScratchRegisters &after)
bool | tesseract::RowsFitModel (const GenericVector< RowScratchRegisters > *rows, int start, int end, const ParagraphModel *model)
bool | tesseract::LikelyParagraphStart (const RowScratchRegisters &before, const RowScratchRegisters &after, tesseract::ParagraphJustification j)
void | tesseract::CanonicalizeDetectionResults (GenericVector< PARA * > *row_owners, PARA_LIST *paragraphs)